<script lang="ts">
    import { slide } from 'svelte/transition'
    import { sineOut } from 'svelte/easing'

    export let title
    export let toggle

    let opened: boolean = false || toggle
</script>

<section>
    <h3 on:click={() => (opened = !opened)}>
        <svg
            class="h-4 w-4 stroke-current transition-transform duration-100 ease-out"
            viewBox="0 0 24 24"
            fill="none"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
            class:rotate-45={opened}
        >
            <path
                d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"
            />
        </svg>
        {title}
    </h3>
    {#if opened}
        <div class="flex flex-col gap-y-4" transition:slide={{ duration: 200, easing: sineOut }}>
            <slot />
        </div>
    {/if}
</section>

<style lang="postcss">
    h3 {
        @apply text-xl font-semibold px-1 mb-1 cursor-pointer
        flex items-center gap-x-1
        bg-gradient-to-r from-fuchsia-200 to-indigo-200
        dark:from-fuchsia-900 dark:to-indigo-900;
        clip-path: polygon(calc(100% - 0.1rem) 0, 100% 100%, 0.1rem 100%, 0 0);
    }
</style>
